
Redmine - Feature #1125

Template projects - Or copy as new feature

2008-04-28 09:30 - Anders Tillebeck

Status: Closed Start date: 2008-04-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

In my compnay we offen have the exact same projects again and again and again...

It would be nice to have a "template project" with tasks assigned including all time estimates etc. When getting a new customer I can

then look at the templates and pick the one that suit the new customer best and "kick-start" the new project that way.

I will rate it as a low priority but very nice-to-have feature.

BR. Anders

Related issues:

Related to Redmine - Feature #886: Copy A Project Closed 2008-03-18

Related to Redmine - Feature #309: Copy project template. Closed

Related to Redmine - Feature #1556: Copy users to new projects Closed 2008-07-01

Related to Redmine - Defect #3386: When a project is copied the sub-project s... Closed 2009-05-18

Related to Redmine - Feature #3367: Copy versions/custom fields/wiki when cop... Closed 2009-05-15

Has duplicate Redmine - Feature #531: Project templates Closed

Associated revisions

Revision 2704 - 2009-05-03 23:25 - Eric Davis

Added the ability to copy a project in the Project Administration panel.

Added Copy project button.

Added Project#copy_from to duplicate a project to be modified and saved by the user

Added a ProjectsController#copy based off the add method

Used Project#copy_from to create a duplicate project in memory

Implemented Project#copy to copy data for a project from another and save it.

Members

Project level queries

Project custom fields

Added a plugin hook for Project#copy.   

#1125  #1556  #886  #309

History

#1 - 2008-04-28 09:38 - Anders Tillebeck

Update...

A collegue of mine just suggested that the template system could be something like a project with all thinkable project tasks. Then the administrator

can place checkmarks in front of each task prior to create the new project. When creating the new project each of the marked tasks will be created for

this new project. There will still be quite a bit of editing of tasks, deadlines etc. afterwards but it would be a great help to remember all small subtasks

from the latest projects.

#2 - 2008-04-28 09:56 - Tommy Jensen

+1 on This one :)

#3 - 2008-05-02 08:47 - Antti Perkiömäki

Thumbs up for this one :) we have similar issue.
#4 - 2008-05-09 06:20 - Caroline  Lloyd

Yes same here - this would be a big timesaver!

#5 - 2008-05-31 01:47 - Yuki Shida

I also want this function!

#6 - 2008-06-19 10:59 - Nils Kluge

That's a good one, we need that, too!

Another good feature would be a mantis like copy of project members, categories etc.

Or a function to take over the settings of another project ...

#7 - 2008-09-22 13:41 - Pim Snel

This would be very very usefull. If project templates would exist, redmine could be used to model and organize company processes.

#8 - 2008-09-22 13:41 - Pim Snel

Ticket # #531 askes the same.

#9 - 2009-02-28 16:43 - Anonymous

+1.

Cloning a project to create a new one should not be cumbersome to implement for a ruby guru ;o)

#10 - 2009-03-02 00:44 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

Alexandre Garino wrote:

Cloning a project to create a new one should not be cumbersome to implement for a ruby guru ;o)

 You're right, it wasn't too difficult ;).  I'm finishing up something like this right now that will copy an existing project to a new project keeping:

Project Settings (Except name and identifier)

Custom Fields

Members

Issues

Assignments

Time estimates

Priorities

Statues

It also includes a plugin hook to let plugins add their own information to the copy method (e.g. Deliverable items in the Budget plugin)

#11 - 2009-03-02 20:45 - Anonymous

Such task is time consuming when done manually. Thank your Eric!

#12 - 2009-03-05 23:44 - Henrique Mattos

Eric, if I can help somehow, I can do my best effort.

Don't even need to say how helpful it will be!

thanks!

#13 - 2009-03-18 13:21 - Stewart MacArthur

This would be a great feature as it is about the only thing holding us back from switching from dotProject.

#14 - 2009-04-07 19:10 - John Moore

Wow - Would love to see this happen.  We have three types of projects that we do over and over that all have the same basic steps. - thanks!

#15 - 2009-04-09 10:24 - Mykhaylo Sorochan

Eric Davis wrote:

2025-05-01 2/4

https://www.redmine.org/issues/531


I'm finishing up something like this right now that will copy an existing project to a new project keeping:

 What's the progress? And when it is planned to have a release?

#16 - 2009-04-23 17:47 - Rob Edwards

Really good feature request, something I'd definitely use. I can put in some time if it will help.

#17 - 2009-05-03 23:18 - Eric Davis

- Status changed from 7 to Resolved

- Priority changed from Low to Normal

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

I've added the ability to copy a project in the Project Administration panel.  r2704

#18 - 2009-06-07 22:33 - Dinis Quelhas

Hi,

pardon my ignorance, but how do I install this?

I went to the repository, copied the new file and the modified files, copied it to the correspondent folders, did the rake db:migrate_plugins

RAILS_ENV=production and my Redmine stopped working.

So, I've installed everything back, but this time I have not dared to install this without some expert help :)

Tips anyone?

I could really use this plugin.

Thank you,

Dinis

#19 - 2009-07-10 05:10 - Eric Davis

- Status changed from Resolved to Closed

Dinis Quelhas wrote:

pardon my ignorance, but how do I install this?

I went to the repository, copied the new file and the modified files, copied it to the correspondent folders, did the rake db:migrate_plugins

RAILS_ENV=production and my Redmine stopped working.

 You need to upgrade your Redmine to the development version (trunk) at or past r2704.  It is part of the core and is not a plugin that can be setup

separately.

Side note: This issue should have been Closed instead of Resolved.  Fixing that now.

#20 - 2011-03-01 16:11 - Luis Serrano Aranda

It is possible to copy also the subprojects of a project (my project's template have projects, sub projects, versions and empty tasks)

#21 - 2011-06-21 06:23 - Ben E

- Assignee deleted (Eric Davis)

For all those interested - there is a small plugin referred to me written my Brandon Valentine that allows you to copy settings from a default template

on new project creation: redmine_copy_on_new =>https://github.com/brandonvalentine/redmine_copy_on_new/tree/project-observer

Note, clone the project-observer branch, not the master. The master doesn't have the model & complete init.rb hooks

It allows you to copy wiki versions issue_categories issues members queries & boards from one project to a new. Configured via settings tab.

#22 - 2012-01-20 20:54 - Guruprasad L

Eric Davis wrote:
Alexandre Garino wrote:

Cloning a project to create a new one should not be cumbersome to implement for a ruby guru ;o)

 You're right, it wasn't too difficult ;).  I'm finishing up something like this right now that will copy an existing project to a new project keeping:

Project Settings (Except name and identifier)

Custom Fields

Members

Issues

Assignments

Time estimates

Priorities

Statues

It also includes a plugin hook to let plugins add their own information to the copy method (e.g. Deliverable items in the Budget plugin)

 Is it possible to include cloning repositories? That'd give github/bitbucket like functionality in redmine and it'd be awesome!
